## ng-spice-rework 21

=== src/spicelib/devices/ndev/Makefile ===
--- 
+++ 
@@ -65,22 +65,22 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run aclocal-1.10
+ACLOCAL = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run aclocal-1.10
 ADMSXML = 
 ALLOCA = 
-AMTAR = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run tar
+AMTAR = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run tar
 AR = ar
 AS = as
-AUTOCONF = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run automake-1.10
+AUTOCONF = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run automake-1.10
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS =  -g -O0 -Wall
-CIDERDIR = 
-CIDERSCRIPTS = 
-CIDERSIM = 
+CIDERDIR = ciderlib
+CIDERSCRIPTS = devload devaxis ciderinit
+CIDERSIM = 	ciderlib/twod/libcidertwod.la     		ciderlib/oned/libcideroned.la     		ciderlib/input/libciderinput.la   		ciderlib/support/libcidersuprt.la
 CPP = gcc -E
 CPPFLAGS = 
 CYGPATH_W = echo
@@ -107,13 +107,13 @@
 LEXLIB = -lfl
 LEX_OUTPUT_ROOT = lex.yy
 LIBOBJS = 
-LIBS = -lm 
+LIBS = -lncurses -lm  -lreadline
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 MAINT = #
-MAKEINFO = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 NDEV_DIR = 
 NDEV_LIB = 
@@ -122,8 +122,8 @@
 NOTNDEV_DIR = ndev
 NOTVLADEVDIR = adms
 NOTXGRAPH = xgraph
-NUMDEV = 
-NUMDEVDIR = 
+NUMDEV = 	spicelib/devices/nbjt/libnbjt.la   		spicelib/devices/nbjt2/libnbjt2.la 		spicelib/devices/numd/libnumd.la   		spicelib/devices/numd2/libnumd2.la 		spicelib/devices/numos/libnumos.la
+NUMDEVDIR =   nbjt    		nbjt2 		numd  		numd2 		numos
 OBJDUMP = objdump
 OBJEXT = o
 OTOOL = 
@@ -131,9 +131,9 @@
 PACKAGE = ngspice
 PACKAGE_BUGREPORT = ngspice-bugs@lists.sourceforge.net
 PACKAGE_NAME = ngspice
-PACKAGE_STRING = ngspice 20
+PACKAGE_STRING = ngspice 21
 PACKAGE_TARNAME = ngspice
-PACKAGE_VERSION = 20
+PACKAGE_VERSION = 21
 PATH_SEPARATOR = :
 RANLIB = ranlib
 SED = /bin/sed
@@ -142,7 +142,7 @@
 STRIP = strip
 TCL_LIB_SPEC = 
 TCL_PACKAGE_PATH = 
-VERSION = 20
+VERSION = 21
 VLADEV = 
 VLADEVDIR = 
 VLAMKF = 
@@ -161,10 +161,10 @@
 X_PRE_LIBS =  -lSM -lICE
 YACC = bison -y
 YFLAGS = 
-abs_builddir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/src/spicelib/devices/ndev
-abs_srcdir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/src/spicelib/devices/ndev
-abs_top_builddir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework
-abs_top_srcdir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework
+abs_builddir = /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/src/spicelib/devices/ndev
+abs_srcdir = /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/src/spicelib/devices/ndev
+abs_top_builddir = /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework
+abs_top_srcdir = /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
@@ -192,7 +192,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = $(SHELL) /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/install-sh
+install_sh = $(SHELL) /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -382,11 +382,3 @@
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 
 distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
