=== debian/changelog ===
ng-spice-rework (21-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.0
  * Rewrite get-orig-source
  * Switch to dpkg-source 3.0 (quilt) format
  * Add build dependency on lyx, elyxer and texlive-full
  * Fix compilation of doc in rules file
  * Add build dependency on imagemagick
  * Remove machine generated file src/frontend/parse-bison.c
    in clean target
  * Remove README.source
  * Remove all patches, fixed in upstream

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 25 Jul 2010 17:17:32 +0200

ng-spice-rework (20-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Correct the Vcs fields

  [ Andreas Tille ]
  * Group maintenance in Debian Science team with permission of
    maintainer

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2009 11:15:21 +0100

ng-spice-rework (19-2) UNRELEASED; urgency=low

  * Add XS-Autobuild tag
  * Bump standards version to 3.8.3, no changes needed
  * Add README.source file
  * Add misc dependency on tclspice-dev
  * Add ngspice dependency on dpkg (>= 1.15.4) | install-info
  * Remove debian/tmp/usr/share/dir file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 15 Nov 2009 00:00:02 +0100

ng-spice-rework (19-1) unstable; urgency=low

  * New upstream release
  * Remove all patches since they are already in upstream
  * Remove call to autogen and --enable experimental option when building
  * Fix watch file
  * Not removing getopt files, since they are BSD now
  * Change /usr/share/ng-spice-rework to /usr/share/ngspice
  * Remove quilt dependency
  * Fix get-orig-source target
  * Create patch 01_fix_bashism.diff to fix bashism (Closes: #530986)
  * Add quilt dependency

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 07 Jun 2009 10:11:42 +0200

ng-spice-rework (18-1) unstable; urgency=low

  * Initial release (Closes: #489768)
  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/rules: add -XCOPYING to dh_installdocs for contrib.
  * debian/rules, debian/control: Use quilt.
  * Added 01_manpages-hyphen.diff patch which fixes the hyphens in ngnutmeg.1 
    & ngspice.1 manpages.
  * debian/rules: added get-orig-source target.
  * Added one target package: ngspice-doc.
  * debian/docs: Added ANALYSES, BUGS & DEVICES.

  [ Gudjon I. Gudjonsson ]
  * Add the documentation license to the copyright file
  * Package moved to non-free
  * Remove getopt*.{c,h} incompatible licenses, add empty files instead
  * Add patch 02_fix_getopt.diff to include system getopt.h
  * Add patch 03_fix_libdir.diff that fixes libdir in configure.in
    Thanks to Ahmed
  * Let rules run ./autogen.sh in build/tclspice
  * Add dependencies on automake

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 20 Apr 2009 19:51:11 +0200
