=== debian/watch ===
version=3
http://sf.net/ngspice/ng-spice-rework-(.*)\.tar\.gz debian uupdate
